/* this code is copied from the book Core Java 2 by Cay S. Horstmann and Gary Cornell */

import java.awt.*;
import java.io.*;
import java.util.*;
import java.lang.*;
import javax.swing.filechooser.FileFilter;

public class ExtensionFileFilter extends FileFilter
{
    private String description = " ";
    private ArrayList extensions = new ArrayList();

    public void addExtension(String extension)
    {
        if(!extension.startsWith("."))
        {
             extension = "." + extension;
        }

        extensions.add(extension.toLowerCase());
    }

    public void setDescription(String aDescription)
    {
        description = aDescription;
    }
   
    public String getDescription()
    {
        return description;
    }

    public boolean accept(File f)
    {
        if(f.isDirectory()) return true;
        String name = f.getName().toLowerCase();
        
        for(int i=0; i<extensions.size(); i++)
        {
            if(name.endsWith((String)extensions.get(i)))
            {
                return true;
            }
        }

         return false;
    }
}

