import java.lang.String;
import java.io.Serializable;

public class RegionLabelConstants implements Serializable
{
   
   public static final int LABEL_FILE              = 1;
   public static final int TEMPLATE_FILE              = 2;

   public static final int FILE_NEW_INDEX              = 0;
   public static final int FILE_OPEN_INDEX             = 1;
   public static final int FILE_SAVE_INDEX             = 2;
   public static final int FILE_SAVE_AS_INDEX          = 3;
   public static final int FILE_CLOSE_INDEX            = 4;
   public static final int FILE_LOAD_TEMPLATE_INDEX    = 6; 
   public static final int FILE_SAVE_TEMPLATE_INDEX    = 7; 
   public static final int FILE_QUIT_INDEX             = 9;

    public static final String FILE_MENU = "FILE";
    public static final String FILE_NEW_ITEM = "Label New Image...";
    public static final String FILE_OPEN_ITEM = "Open Labeled Image...";
    public static final String FILE_SAVE_ITEM = "Save";
    public static final String FILE_SAVE_AS_ITEM = "Save As...";
    public static final String FILE_CLOSE_ITEM = "Close";
    public static final String FILE_LOAD_TEMPLATE_ITEM = "Load Word List...";
    public static final String FILE_SAVE_TEMPLATE_ITEM = "Save Word List As...";
    public static final String FILE_QUIT_ITEM = "Quit";
    
    public static final String VIEW_MENU = "VIEW";
    public static final String OPTION_MENU = "OPTION";
    public static final String OPTION_CHANGE_TEMPLATEDIR_ITEM = "Change Word List...";

    public static final String HELP_MENU = "HELP";
    public static final String HELP_ABOUT_ITEM = "About";
    
    public static final String WORDNET_URL_STRING = "http://wordnet.princeton.edu/perl/webwn";
    public static final String COREL_KEYWORDS_FILENAME = "corel_key_words.txt";

    public static final String SEGMENT_FILE_ERROR = "The segment file doesn't exist!";
    public static final String INVALID_LABEL_ERROR = "Invalid label!";
    public static final String EMPTY_LABEL_ERROR = "label cannot be empty or white space!";
    public static final String SAVE_FILE_ERROR = "Fail to save this file!";
    public static final String READ_FILE_ERROR = "Fail to read in this file!";
    public static final String URL_ACCESS_ERROR = "Couldn't access the page!";
    public static final String URL_SYNTAX_ERROR = "Improper syntax given for the URL to be loaded.";
    public static final String URL_READ_ERROR = "Problem reading data from that URL!";

}
